%global pkg_name GLUT

%global common_summary Haskell %{pkg_name} library

%global common_description The Haskell %{pkg_name} library.\
This is a set of bindings to the C %{pkg_name} library.

%global ghc_pkg_deps ghc-OpenGL-devel

%global ghc_pkg_c_deps freeglut-devel

# debuginfo is not useful for ghc
%global debug_package %{nil}

Name:           ghc-%{pkg_name}
# part of haskell-platform-2010.2.0.0
Version:        2.1.2.1
Release:        9%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
URL:            http://www.haskell.org/haskellwiki/Opengl
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
# fedora ghc archs:
ExclusiveArch:  %{ix86} x86_64 ppc alpha sparcv9
BuildRequires:  ghc, ghc-doc, ghc-prof
BuildRequires:  ghc-rpm-macros >= 0.7.3
BuildRequires:  hscolour
%{?ghc_pkg_deps:BuildRequires:  %{ghc_pkg_deps}, %(echo %{ghc_pkg_deps} | sed -e "s/\(ghc-[^, ]\+\)-devel/\1-doc,\1-prof/g")}
%{?ghc_pkg_c_deps:BuildRequires:  %{ghc_pkg_c_deps}}
Patch1:         ghc-GLUT-extralibs.patch

%description
%{common_description}
%if %{with shared}
This package provides the shared library.
%endif


%prep
%setup -q -n %{pkg_name}-%{version}
%patch1 -p1 -b .orig


%build
%ghc_lib_build


%install
%ghc_lib_install


%ghc_lib_package


%changelog
* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 2.1.2.1-9
- Enable build on sparcv9

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.2.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jan 18 2011 Jens Petersen <petersen@redhat.com> - 2.1.2.1-7
- update to cabal2spec-0.22.4

* Thu Nov 25 2010 Jens Petersen <petersen@redhat.com> - 2.1.2.1-6
- drop -o obsolete

* Sat Jul 31 2010 Jens Petersen <petersen@redhat.com> - 2.1.2.1-5
- part of haskell-platform-2010.2.0.0
- ghc-rpm-macros-0.8.1 for doc obsoletes
- add hscolour

* Sun Jun 27 2010 Jens Petersen <petersen@redhat.com> - 2.1.2.1-4
- sync cabal2spec-0.22.1

* Thu Jun 10 2010 Jens Petersen <petersen@redhat.com> - 2.1.2.1-3
- add extralibs glut in .cabal file to fix ghci linking
  (reported by Ian Collier, #601640)

* Tue Apr 27 2010 Jens Petersen <petersen@redhat.com> - 2.1.2.1-2
- part of haskell-platform-2010.1.0.0
- rebuild against ghc-6.12.2
- condition ghc_lib_package

* Mon Jan 11 2010 Jens Petersen <petersen@redhat.com> - 2.1.2.1-1
- update to 2.1.2.1 (haskell-platform-2009.3.1)
- update to ghc-rpm-macros-0.5.1 and cabal2spec-0.21.1:
- drop doc and prof bcond
- use ghc_lib_package, ghc_pkg_deps, and ghc_pkg_c_deps

* Sat Dec 26 2009 Jens Petersen <petersen@redhat.com> - 2.1.1.2-3
- update for ghc-6.12.1: add shared library support
- use new ghc*_requires macros: needs ghc-rpm-macros 0.4.0
- add common_summary and common_description

* Mon Aug 31 2009 Jens Petersen <petersen@redhat.com> - 2.1.1.2-2
- move BRs to source (base) package

* Wed Aug 12 2009 Bryan O'Sullivan <bos@serpentine.com> - 2.1.1.2-1
- initial packaging for Fedora created by cabal2spec
